export default {
	state: {
		loginInfo: {},
		dictionariesInfo:{},
		myShopInfo:{},
	},
	getters: {
		getLoginInfo(state) {
			return state.loginInfo || {}
		},
		getDictionariesInfo(state) {
			return state.dictionariesInfo || {}
		},
		getMyShopInfo(state) {
			return state.myShopInfo || {}
		},
	},
	mutations: {
		setLoginInfo(state, payload) {
			state.loginInfo = payload
		},
		setDictionariesInfo(state, payload) {
			state.dictionariesInfo = payload
		},
		setMyShopInfo(state, payload) {
			state.myShopInfo = payload
		},
	}
	// ,
	// actions: {
	// 	setLoginInfo ({ commit }, payload) {
	// 		commit('setLoginInfo', payload)
	// 	}
	// }
}
